# Admin Guide

This includes instructions for bioinformaticians to install, manage and update a scout instance

* [Admin Guide](./README.md)
  * [Deploy Scout in containers](./containers/container-deploy.md)
  * [Setup](./setup-scout.md)
  * [Creating a new institute](./loading-institutes.md)
  * [Creating a new user](./loading-users.md)
  * [Loading a case](./loading-case.md)
  * [Load Config File](./load-config.md)
  * [Updating case individuals tracks](./updating-individuals.md)
  * [Updating a case](./updating-case.md)
  * [Genes, transcripts and exons](./genes.md)
  * [HPO terms](./hpo.md)
  * [Annotations](./annotations.md)
  * [IGV browser settings](./igv-settings.md)
  * [Server](./server.md)
  * [Chanjo coverage integration](./chanjo_coverage_integration.md)
  * [Loqusdb integration](./loqusdb_integration.md)
  * [Matchmaker Exchange integration](./matchmaker_exchange_integration.md)
  * [BioNano Genomics Access FSHD integration](./bionano_access_integration.md)
  * [Indexes](./indexes.md)
  * [Scripts folder](./scripts.md)
  * [Backup and restore](./backup.md)
  * [Migration instructions for major and semi major releases](./breaking.md)
